Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0042824
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 04. Warehouse managementmajoralways2020-01-13 16:212020-02-03 18:28
Reporterjorge_acostaView Statuspublic 
Assigned ToAtulOpenbravo 
PriorityhighResolutionfixedFixed in Version3.0PR20Q2
StatusclosedFix in branchFixed in SCM revisioncb194cf72752
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Todmiguelez
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0042824: Stock Valuation and Unit Cost of 0 in Product - Unit Cost tab moving the total amount of produt from one bin to another

DescriptionPossible regression introduced in this commit : https://issues.openbravo.com/view.php?id=37850 [^]

Stock Valuation of 0 in Product - Unit Cost tab, if product is received in a warehouse created after unit cost is calculated and then you move the total amount of produt from one bin to another in the new warehouse with costing rule active in warehouse
Steps To ReproduceTest Plan
  Go to Preference window and create a new record:
    Organization: * , Property: Allow to persist Unit Cost, Value: Y
  Log out and Log in
  Create a new Costing Rule for 'White Valley Spain S.A', select Warehouse Dimension checkbox and Validate it
  Launch Reset Unit Cost for White Valley Spain S.A organization
  Go to Warehouse and Storage Bin and create a new record:
    Organization: White Valley Spain S.A
    Search Key/Name: IssueWarehouse
    Set an Spain location
    Create 2 new records in Storage Bin tab:
      Search Key: testbin1
      Fill all the required fields
      Search Key: testbin2
      Fill all the required fields
  Go to Goods Movements Window and create a new record:
    Organization: White Valley Spain S.A
    Create a new record in Lines tab:
      Product: Digital altimeter Blue
      Movement Quantity: 5
      New Storage Bin: testbin1
    Process the Movement
  Go to Process Reques window and unschedule the Costing Background Process and edit it to Run Inmediately and Reschedule the Process and check ends successfully
Go to Goods Movements Window and create a new record:
    Organization: White Valley Spain S.A
    Create a new record in Lines tab:
      Product: Digital altimeter Blue
      Movement Quantity: 5
      From Storage Bin : testbin1
      New Storage Bin: testbin2
      Process the Movement
      Go to Process Reques window and unschedule the Costing Background Process and edit it to Run Inmediately and Reschedule the Process and check ends successfully
  Go to Product window and select Digital altimeter Blue record:
    Check in Unit Cost a new record was created for IssueWarehouse with:
      Organization: White Valley Spain S.A, Stock: 5, Stock Valuation: 0, Warehouse: Issue Warehouse, Unit Cost: 0
Proposed SolutionClient suggest that the possible regrssion could have been introduced in this commit : https://issues.openbravo.com/view.php?id=37850 [^]
TagsNo tags attached.
Attached Filespng file icon supportimage.png [^] (152,607 bytes) 2020-01-13 16:21

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0117181)
AtulOpenbravo (developer)
2020-01-22 19:44
edited on: 2020-01-23 10:11

Test Plan I - 37850

- Go to Preference window and create a new record:
  Organization: F&B US, Inc., Property: Allow to persist Unit Cost, Value: Y
- Log out and Log in
- Create a new Costing Rule for 'F&B US, Inc.', select Warehouse Dimension checkbox and Validate it
- Launch Reset Unit Cost for F&B US, Inc. organization
- Go to Warehouse and Storage Bin and create a new record:
    Organization: F&B US East Coast
    Search Key/Name: TW37850
    Set an Spain location
    Create a new record in Storage Bin tab:
      Search Key: 37850_0
      Fill all the required fields
- Go to Goods Movements Window and create a new record:
    Organization: F&B US East Coast
    Create a new record in Lines tab:
      Product: White wine
      Movement Quantity: 5
      New Storage Bin: 37850_0
- Process the Movement
- Go to Process Reques window and unschedule the Costing Background Process and edit it to Run Inmediately and Reschedule the Process and check ends successfully
- Go to Product window and select White wine record:
- Check in Unit Cost a new record was created for TW37850 Warehouse with:
  Organization: F&B US, Inc., Stock: 5, Stock Valuation: 17.75, Warehouse:TW37850, Unit Cost: 3.55
- Go to Goods Receipts window and create a new record:
    Organization: F&B US East Coast
    Business Partner: Be Soft Drinker, Inc.
    Create a new record in Lines tab:
      Product: White wine
      Storage Bin: 37850_0
      Movement Quantity: 7
- Complete the Receipt
- Launch the Costing Background Process
- Go to White wine product and check the Valuation Stock for TW37850 Warehouse was updated as Organization: F&B US, Inc., Stock: 12, Stock Valuation: 42.6, Warehouse: TW37850, Unit Cost: 3.55


Test Plan II - 37850
- Go to Product window and create a new record:
    Organization: F&B US, Inc.
    Search Key/Name: Issue Product
    Create a new record in Price tab:
      Price List Version: Be Soft Drinker Price List
      Unit Price: 7
    Check 0 Stock Valuation value for the three warehouses
- Go to Goods Receipts window and create a new record:
    Organization: F&B US East Coast
    Business Partner: Be Soft Drinker, Inc.
    Create a new record in Lines tab:
      Product: Issue Product
      Storage Bin: 37850_0
      Movement Quantity: 10
- Complete the Receipt
- Launch the Costing Background Process
- Go to Product window and select Issue Product record and check the Valuation Stock for TW37850 Warehouse was updated as Organization: F&B US, Inc., Stock: 10, Stock Valuation: 70, Warehouse: TW37850 Warehouse, Unit Cost: 7

(0117182)
AtulOpenbravo (developer)
2020-01-22 19:54

Test Plan - 42824

- Go to Preference window and create a new record:
    Organization: * , Property: Allow to persist Unit Cost, Value: Y
- Log out and Log in

- Create a new Costing Rule for 'F&B US Inc', select Warehouse Dimension checkbox and Validate it

- Launch Reset Unit Cost for F&B US Inc organization

- Go to Warehouse and Storage Bin and create a new record:
    - Organization: for F&B US Inc
    - Search Key/Name: TW42824
        Set an Spain location
    - Create 2 new records in Storage Bin tab:
      -Search Key: 42824_0
        Fill all the required fields
      -Search Key: 42824_1
        Fill all the required fields

- Go to Goods Movements Window and create a new record:
    Organization: F&B US Inc
    Create a new record in Lines tab:
      Product: Ale Beer
      Movement Quantity: 5
      New Storage Bin: 42824_0
- Process the Movement

- Go to Process Reques window and unschedule the Costing Background Process and edit it to Run Inmediately and Reschedule the Process and check ends successfully

- Go to Product window and select Ale Beer record:
- Check in Unit Cost a new record was created for TW42824 with Organization: F&B US Inc, Stock: 5, Stock Valuation: 6.80, Warehouse: TW42824, Unit Cost: 1.36

- Launch Reset Unit Cost for F&B US Inc organization

- Go to Product window and select Ale Beer record:
- Check in Unit Cost a new record was created for TW42824 with Organization: F&B US Inc, Stock: 5, Stock Valuation: 6.80, Warehouse: TW42824, Unit Cost: 1.36

- Go to Goods Movements Window and create a new record:
    Organization: F&B US Inc
    Create a new record in Lines tab:
      Product: Ale Beer
      Movement Quantity: 5
      From Storage Bin : 42824_0
      New Storage Bin: 42824_1
- Process the Movement

- Go to Process Request window and unschedule the Costing Background Process and edit it to Run Inmediately and Reschedule the Process and check ends successfully

- Go to Product window and select Ale Beer record:
- Check in Unit Cost a new record was created for TW42824 with Organization: F&B US Inc, Stock: 5, Stock Valuation: 6.80, Warehouse: TW42824, Unit Cost: 1.36

- Launch Reset Unit Cost for F&B US Inc organization

- Go to Product window and select Ale Beer record:
- Check in Unit Cost a new record was created for TW42824 with Organization: F&B US Inc, Stock: 5, Stock Valuation: 6.80, Warehouse: TW42824, Unit Cost: 1.36
(0117183)
AtulOpenbravo (developer)
2020-01-22 19:56
edited on: 2020-01-23 06:34

Test Plan 34068

- Login as system admin role:
- Set Cost Precision of the currency (i.e EUR) to 6

- Login as F&B International group admin role:
- Set the following two preferences as Y:
      Allow to persist Unit Cost
      Enable Negative Stock Corrections
   
- Create a new product
- Create a physical inventory and add the previously created product:
      Quantity count: 19
      Cost: 26.24069

- Create two Goods Shipments: one of 10 units and one of 9 units
- Launch the Costing Background Process
   
- Check the Stock Valuation is 0.00 in Product - Unit Cost tab. It is correct
- Launch the Reset Unit Cost process and check the stock valuation remains 0

(0117184)
AtulOpenbravo (developer)
2020-01-22 19:57

Test Plan 34055

As system admin role:
   Set Cost Precision of the currency to 6
As group admin role:
   1. Set the following two preferences as Y:
      Allow to persist Unit Cost
      Enable Negative Stock Corrections
   2. Create a new product
   3. Create a physical inventory and add the previously created product:
      Quantity count: 19
      Cost: 26.24
   4. Launch the Costing Background Process
      Check the Stock is 19 and Stock Valuation is 498.57 in Product - Unit Cost tab
   5. Launch the Reset Unit Cost process and check values remain the same
   6. Create two Goods Shipments: one of 10 units and one of 9 units
   7. Launch the Costing Background Process
   8. Check the Stock is 0.00 and Stock Valuation is 0.00 in Product - Unit Cost tab
   9. Launch the Reset Unit Cost process and check values remain the same
   10. Create a new physical inventory:
      Quantity count: 19
      Cost: null
   11.Launch the Costing Background Process
      Check the Stock is 19 and Stock Valuation is 498.56
   12. Launch the Reset Unit Cost process and check the Stock is 19 and Stock Valuation is 498.56
(0117373)
hgbot (developer)
2020-01-30 17:01

Repository: erp/devel/pi
Changeset: cb194cf727520e38703c866a37405819066d66f0
Author: Atul Gaware <atul.gaware <at> openbravo.com>
Date: Fri Jan 24 12:20:53 2020 +0530
URL: http://code.openbravo.com/erp/devel/pi/rev/cb194cf727520e38703c866a37405819066d66f0 [^]

Fixes BUG-0042824: Stock Valuation and Unit Cost of 0 in
Product - Unit Cost tab moving the total amount of produt
from one bin to another

When stock quantity is being updated as ZERO in the
m_stock_valuation then valuation also should be set
as ZERO.

---
M src-db/database/model/functions/M_UPDATE_STOCK_VALUATION.xml
---
(0117374)
dmiguelez (developer)
2020-01-30 17:04

Code Review + Testing Ok
(0117436)
eugeni (reporter)
2020-02-03 18:28

Fix does not pass test plan https://issues.openbravo.com/view.php?id=42824#c117182 [^] (at least in current CS 19Q3.3)

- Issue History
Date Modified Username Field Change
2020-01-13 16:21 jorge_acosta New Issue
2020-01-13 16:21 jorge_acosta Assigned To => Triage Finance
2020-01-13 16:21 jorge_acosta File Added: supportimage.png
2020-01-13 16:21 jorge_acosta Modules => Core
2020-01-13 16:21 jorge_acosta Triggers an Emergency Pack => No
2020-01-13 16:43 jorge_acosta Description Updated View Revisions
2020-01-13 17:19 eugeni Issue Monitored: eugeni
2020-01-14 11:50 jorge_acosta Summary Stock Valuation of 0 in Product - Unit Cost tab if product is received in a warehouse created after unit cost is calculated => Stock Valuation and Unit Cost of 0 in Product - Unit Cost tab moving the total amount of produt from one bin to another
2020-01-14 11:50 jorge_acosta Description Updated View Revisions
2020-01-20 15:51 dmiguelez Assigned To Triage Finance => AtulOpenbravo
2020-01-20 18:07 AtulOpenbravo Status new => scheduled
2020-01-22 19:44 AtulOpenbravo Note Added: 0117181
2020-01-22 19:54 AtulOpenbravo Note Added: 0117182
2020-01-22 19:56 AtulOpenbravo Note Added: 0117183
2020-01-22 19:57 AtulOpenbravo Note Added: 0117184
2020-01-23 06:23 AtulOpenbravo Note Edited: 0117181 View Revisions
2020-01-23 06:34 AtulOpenbravo Note Edited: 0117183 View Revisions
2020-01-23 10:11 AtulOpenbravo Note Edited: 0117181 View Revisions
2020-01-30 17:01 hgbot Checkin
2020-01-30 17:01 hgbot Note Added: 0117373
2020-01-30 17:01 hgbot Status scheduled => resolved
2020-01-30 17:01 hgbot Resolution open => fixed
2020-01-30 17:01 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/cb194cf727520e38703c866a37405819066d66f0 [^]
2020-01-30 17:04 dmiguelez Review Assigned To => dmiguelez
2020-01-30 17:04 dmiguelez Note Added: 0117374
2020-01-30 17:04 dmiguelez Status resolved => closed
2020-01-30 17:04 dmiguelez Fixed in Version => 3.0PR20Q2
2020-02-03 18:28 eugeni Note Added: 0117436


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker